Schema Tests

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tests

Returns a list of tests for a specified schema

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Data source Id of the specified schema

schemaId
integer (int32) Required

Id of the specified schema

Query parameters
projectId
integer (int32)

Optionally filter tests by a project

folderId
integer (int32)

Optionally filter tests by a folder

Responses
200

OK

Expand All
object
projects
Array of object (Configuration.Api.Models.v1.TestSummaryProject) | null
object
id
integer (int32)
name
string | null
folders
Array of object (Configuration.Api.Models.v1.TestSummaryFolder) | null
object
id
integer (int32)
name
string | null
path
string | null
tests
Array of object (Configuration.Api.Models.v1.TestSummary) | null
object
id
integer (int32)
name
string | null
url
string | null
links
Array of object (Configuration.Api.Models.v1.TestSummaryLink) | null
object
name
string | null
url
string | null
jobCount
integer (int32)
lastResult
object (Configuration.Api.Models.v1.TestSummaryLastResult)
date
string (date-time) | null
status
string | null
url
string | null